categories: apt
title: Connaître la liste des packages à upgrader

```
apt-get --just-print upgrade | grep -i security | awk '{print $2}' | awk '!seen[$0]++'
```

Exemple:

```
root@test01:~ # apt --just-print upgrade | grep -i security | awk '{print $2}' | awk '!seen[$0]++'
mariadb-common
libmariadb3
mariadb-client-core-10.5
mariadb-client-10.5
mariadb-client
```

Il suffira donc de mettre à jour ces paquets unitairement.


```
root@test01:~ # apt install mariadb-common libmariadb3 mariadb-client-core-10.5 mariadb-client-10.5 mariadb-client
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following packages will be upgraded:
  libmariadb3 mariadb-client mariadb-client-10.5 mariadb-client-core-10.5 mariadb-common
5 upgraded, 0 newly installed, 0 to remove and 54 not upgraded.
Need to get 0 B/2,548 kB of archives.
After this operation, 10.2 kB of additional disk space will be used.
[master 04098ca] saving uncommitted changes in /etc prior to apt run
 1 file changed, 1 insertion(+), 1 deletion(-)
Reading changelogs... Done
apt-listchanges: Mailing root: apt-listchanges: news for test01
(Reading database ... 71306 files and directories currently installed.)
Preparing to unpack .../mariadb-common_1%3a10.5.26-0+deb11u2_all.deb ...
Unpacking mariadb-common (1:10.5.26-0+deb11u2) over (1:10.5.21-0+deb11u1) ...
Preparing to unpack .../libmariadb3_1%3a10.5.26-0+deb11u2_amd64.deb ...
Unpacking libmariadb3:amd64 (1:10.5.26-0+deb11u2) over (1:10.5.21-0+deb11u1) ...
Preparing to unpack .../mariadb-client-core-10.5_1%3a10.5.26-0+deb11u2_amd64.deb ...
Unpacking mariadb-client-core-10.5 (1:10.5.26-0+deb11u2) over (1:10.5.21-0+deb11u1) ...
Preparing to unpack .../mariadb-client-10.5_1%3a10.5.26-0+deb11u2_amd64.deb ...
Unpacking mariadb-client-10.5 (1:10.5.26-0+deb11u2) over (1:10.5.21-0+deb11u1) ...
Preparing to unpack .../mariadb-client_1%3a10.5.26-0+deb11u2_all.deb ...
Unpacking mariadb-client (1:10.5.26-0+deb11u2) over (1:10.5.21-0+deb11u1) ...
Setting up mariadb-common (1:10.5.26-0+deb11u2) ...
Setting up libmariadb3:amd64 (1:10.5.26-0+deb11u2) ...
Setting up mariadb-client-core-10.5 (1:10.5.26-0+deb11u2) ...
Setting up mariadb-client-10.5 (1:10.5.26-0+deb11u2) ...
Setting up mariadb-client (1:10.5.26-0+deb11u2) ...
Processing triggers for man-db (2.9.4-2) ...
Processing triggers for libc-bin (2.31-13+deb11u10) ...
Scanning processes...
Scanning linux images...
```
